{
  pkgs,
  flake,
  nixpkgs-stable,
  ...
}:
let
  inherit (flake.config.aesthetics.themes) fonts;
in
{
  services = {
    displayManager = {
      # defaultSession = "hyprland";
      sddm = {
        enable = true;
        # package = (flake.inputs.nixpkgs-stable.legacyPackages.${pkgs.system}.kdePackages.sddm);
        enableHidpi = true;
        # wayland = true;
        # theme = "catppuccin-macchiato";
      };
    };
  };
  # environment = {
  #   systemPackages = [
  #     (pkgs.catppuccin-sddm.override {
  #       flavor = "macchiato";
  #       font = "${fonts.name}";
  #       fontSize = "${toString fonts.sizes.popups}";
  #       loginBackground = true;
  #     })
  #     pkgs.catppuccin-sddm
  #   ];
  # };
}
